%if 0%{?fedora} == 8
%define		FFver           2.0.0.4
%endif
%if 0%{?fedora} == 7
%define		FFver		2.0.0.4
%endif
%if 0%{?fedora} == 6
%define		FFver		1.5.0.12
%endif
%if 0%{?fedora} == 5
%define		SMver		1.0.9
%endif
%define		obsolete_plugin_ver	0.4.5-1

%define		support_anthy	0
%if 0%{?fedora} >= 6
%define		support_ruby	1
%else
%define		support_ruby	0
%endif
%define		rubyabi		1.8

%define		repoid		25610

%define		svnver		3221

Name:		kazehakase
Version:	0.4.7
Release:	1%{?dist}.1
Summary:	Kazehakase browser

Group:		Applications/Internet
License:	GPL
URL:		http://kazehakase.sourceforge.jp/
Source0:	http://downloads.sourceforge.jp/kazehakase/%{repoid}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	expat-devel
BuildRequires:	gnutls-devel
BuildRequires:	gtk2-devel
BuildRequires:	libSM-devel
BuildRequires:	perl(XML::Parser)

BuildRequires:	hyperestraier-devel
%if %{support_anthy}
BuildRequires:	anthy-devel
BuildRequires:	mecab-devel
%endif
%if %{support_ruby}
BuildRequires:	ruby(gettext-package)
BuildRequires:	ruby(gtk2-devel)
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	ruby
%endif

BuildRequires:	desktop-file-utils
BuildRequires:	gettext

%if 0%{?fedora} == 5
BuildRequires:	seamonkey-devel %{?SMver:= %{SMver}}
BuildRequires:	seamonkey %{?SMver:= %{SMver}}
Requires:	seamonkey %{?SMver:= %{SMver}}
%else
BuildRequires:	firefox-devel %{?FFver:= %{FFver}}
Requires:	firefox %{?FFver:= %{FFver}}
%endif

%description
Kazehakase is a Web browser which aims to provide 
a user interface that is truly user-friendly & fully customizable.

%package	hyperestraier
Summary:	Kazehakase search engine of hyperestraier
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-plugins < %{obsolete_plugin_ver}
Obsoletes:	%{name}-plugins-hyperestraier < %{obsolete_plugin_ver}
Provides:	%{name}-plugins = %{version}-%{release}
Provides:	%{name}-plugins-hyperestraier = %{version}-%{release}

%description	hyperestraier
This package contains the search plugin of hyperstraier for
Kazehakase.

%if %{support_anthy}
%package	anthy
Summary:	Kazehakase search engine of Anthy
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-plugins-anthy < %{obsolete_plugin_ver}
Provides:	%{name}-plugins-anthy = %{version}-%{release}

%description	anthy
This package contains the search plugin of Anthy for
Kazehakase.
%endif

%if %{support_ruby}
%package	ruby
Summary:	Ruby interpretter support for Kazehakase
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}
Requires:	ruby(gtk2)
Requires:	ruby(abi) = %{rubyabi}

%description	ruby
This package contains the binding of Kazehakase for
Ruby interpretter.
%endif	

%prep
%setup -q

%{__sed} -i.multilib -e \
	'/gecko/s|mozilla-config.h|mozilla-config*.h|' \
	configure

%if %{support_anthy}
%{__sed} -i.anthy -e '/^anthy_available/d' configure
%endif

%build
%configure \
	--enable-migemo \
%if 0%{?fedora} == 5
	--with-gecko-engine=seamonkey
%else
	--with-gecko-engine=firefox
%endif

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT \
	INSTALL="%{__install} -c -p"

%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/%{name}/lib*.so
find $RPM_BUILD_ROOT%{_libdir}/%{name} -name \*.la | xargs %{__rm} -f

desktop-file-install \
	--vendor fedora \
	--remove-category Application \
	--delete-original \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%{find_lang} %{name}

for f in README.ja TODO.ja ; do
	iconv -f EUCJP -t UTF8 $f > ${f}.tmp && \
		( touch -r ${f} ${f}.tmp ; %{__mv} -f ${f}.tmp ${f} ) || \
		%{__rm} -f ${f}.tmp
done

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING* README* TODO*

%dir %{_sysconfdir}/%{name}/
%dir %{_sysconfdir}/%{name}/mozilla/
%config(noreplace) %{_sysconfdir}/%{name}/*.xml
%config(noreplace) %{_sysconfdir}/%{name}/*rc
%config(noreplace) %{_sysconfdir}/%{name}/mozilla/*.xml

%{_bindir}/%{name}
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/embed/
%dir %{_libdir}/%{name}/search/
%{_libdir}/%{name}/libkazehakase.so.*
%{_libdir}/%{name}/embed/gecko.so

%dir %{_datadir}/%{name}/
%if %{support_ruby}
%dir %{_libdir}/%{name}/ext/
%dir %{_datadir}/%{name}/ext/
%endif
%{_datadir}/%{name}/*.css
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/icons/
%{_datadir}/pixmaps/%{name}*.png
%{_datadir}/applications/fedora-%{name}.desktop

%{_mandir}/man1/%{name}.1*

%files	hyperestraier
%defattr(-,root,root,-)
%{_libdir}/%{name}/search/hyper-estraier.so

%if %{support_anthy}
%files	anthy
%defattr(-,root,root,-)
%{_libdir}/%{name}/search/anthy*.so*
%endif

%if %{support_ruby}
%files	ruby
%defattr(-,root,root,-)
%{_libdir}/%{name}/ext/ruby.so
%{_datadir}/%{name}/ext/ruby/
%endif

%changelog
* Thu May 31 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.7-1.dist.1
- gecko engine update

* Wed May 30 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.7-1
- 0.4.7

* Mon May 28 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.6-5.svn3221
- Try svn 3221

* Tue May 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.6-4
- Workaround for glib 2.13.1+

* Tue May 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.6-2
- Support Ruby/Migemo

* Sun Apr 29 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.6-1
- 0.4.6

* Tue Apr 10 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.5-2
- Enable ruby-gtk2 support

* Tue Apr  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.5-1
- 0.4.5
- Clean up spec file (rename plugins, drop "plugins" string from name)
- Add ruby-gtk support (disabled until the review #232160 is completed)

* Sat Mar 24 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.4.1-4
- gecko engine update

* Tue Feb 27 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.4.1-3.dist.1
- gecko engine update

* Sat Feb 24 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- enable anthy/mecab support (currently disabled)

* Thu Feb 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.4.1-3
- enable hyperestraier support.

* Sat Feb  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.4.1-2.dist.1
- modify configure for split of mozilla-config.h for multilib

* Sat Feb  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.4.1-2
- Remove -Werror staff

* Fri Feb  2 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.4.1-1
- 0.4.4.1

* Fri Feb  2 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.4-2
- Add more BuildRequires: anthy-devel, libSM-devel

* Tue Jan 30 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.4-1
- 0.4.4

* Thu Jan 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.3-4
- Do not call autoconf, just fix configure.

* Sat Dec 23 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.3-3
- Add firefox version dependency for gecko engine

* Wed Dec 13 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.3-2
- Own %%{_libdir}/%%{name} correctly

* Tue Dec 12 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.3-1
- Initial packaging to import to Fedora Extras.
